<template>
  <div>
    <div class="d-flex justify-content-end mt-3">
      <b-button variant="success">Load Design</b-button>
    </div>

    <div class="table-responsive mt-3">
      <table
        class="table table-head-custom table-vertical-center table-head-bg table-borderless"
      >
        <thead>
          <tr class="text-left">
            <th style="min-width: 200px" class="pl-7">
              <span class="text-dark-75">Numbering</span>
            </th>
            <th style="min-width: 300px">Title</th>
            <th style="min-width: 100px">Type</th>
            <th style="min-width: 100px">Category</th>
            <th style="min-width: 100px">Scope</th>
            <th style="min-width: 100px">Stasiun</th>
            <th style="min-width: 100px">Designer PIC</th>
            <th style="min-width: 100px">Designer Hour</th>
            <th style="min-width: 100px">Drafter PIC</th>
            <th style="min-width: 100px">Drafter Hour</th>
            <th style="min-width: 100px">Checker PIC</th>
            <th style="min-width: 100px">Checker Hour</th>
            <th style="min-width: 100px">Approved</th>
            <th style="min-width: 100px">Planing Date</th>
            <th style="min-width: 100px">Status</th>
            <th style="min-width: 100px">Revision</th>
            <th style="min-width: 100px">Version</th>
            <th style="min-width: 100px">Date Receive</th>
            <th style="min-width: 100px">Delay</th>
            <th style="min-width: 100px">Storage Ruang Doc</th>
            <th style="min-width: 100px">Server</th>
            <th style="min-width: 100px">Asbuilt</th>
            <th style="min-width: 100px">Return Item</th>
            <th style="min-width: 100px">Outstanding</th>
            <th style="min-width: 200px">Aksi</th>
          </tr>
        </thead>

        <tbody>
          <template v-for="(item, i) in data.projects">
            <tr v-bind:key="i">
              <td class="pl-0 ">
                <span
                  class="ml-5 text-dark-75 font-weight-bolder d-block font-size-lg"
                >
                  {{ item.numbering }}
                </span>
              </td>

              <td>
                <span
                  class="text-dark-75 font-weight-bolder d-block font-size-lg"
                >
                  {{ item.title }}
                </span>
              </td>

              <td>
                <span
                  class="text-dark-75 font-weight-bolder d-block font-size-lg"
                >
                  {{ item.type }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.category }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.scope }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.station }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.designerPic }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.designerHour }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.drafterPic }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.drafterHour }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.checkerPic }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.checkerHour }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.approved }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.planingDate }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.status }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.revision }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.version }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.dateReceive }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.delay }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.storageRuangDoc }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.server }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.asbuilt }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.returnItem }}
                </span>
              </td>

              <td>
                <span class="text-muted font-weight-bold d-block">
                  {{ item.outstanding }}
                </span>
              </td>

              <td class="pr-0">
                <template v-if="editIndex !== index">
                  <a
                    class="btn btn-light-success font-weight-bolder font-size-sm"
                    @click="edit(index)"
                  >
                    <i class="flaticon-edit"></i>
                  </a>

                  <a
                    class="btn btn-light-danger font-weight-bolder font-size-sm ml-3"
                    @click="remove(index)"
                  >
                    <i class="flaticon2-trash"></i>
                  </a>
                </template>

                <template v-if="editIndex === index">
                  <a
                    class="btn btn-light-danger font-weight-bolder font-size-sm ml-3"
                    @click="cancelEdit()"
                  >
                    <i class="flaticon2-cancel-music"></i>
                  </a>
                </template>
              </td>
            </tr>
          </template>
        </tbody>
      </table>
    </div>

    <div class="d-flex justify-content-end mt-3">
      <b-button variant="success">
        <i class="flaticon2-check-mark"></i> Simpan
      </b-button>
    </div>
  </div>
</template>

<script>
export default {
  name: "Drawing",
  data() {
    return {
      editIndex: null,
      oldData: {},
      data: {
        projects: [
          {
            numbering: "LR98123",
            title: "PEMBANGUNAN SISTEM PERSINYALAN",
            type: "Open",
            category: "BALAI TEKNIK PERKERETAAPIAN",
            scope: "HMI",
            station: "Tan",
            designerPic: "SDR",
            designerHour: 4,
            drafterPic: "SDR",
            drafterHour: 4,
            checkerPic: "SDR",
            checkerHour: 5,
            approved: "RDW",
            planingDate: "10/11/2021",
            status: null,
            revision: null,
            version: null,
            dateReceive: null,
            delay: null,
            storageRuangDoc: null,
            server: false,
            asbuilt: null,
            returnItem: null,
            outstanding: null
          }
        ]
      }
    };
  },
  methods: {
    edit(index) {
      this.editIndex = index;

      this.oldData = this.data.projects[index];
    },

    remove(index) {
      this.data.projects.splice(index, 1);
    },

    cancelEdit() {
      this.data.projects[this.editIndex] = this.oldData;

      this.editIndex = null;
    }
  }
};
</script>
